Only in vorbis-tools-1.1.1: config.h
diff -ur vorbis-tools-1.1.1/oggenc/audio.c vorbis-tools-1.1.1.lt/oggenc/audio.c
--- vorbis-tools-1.1.1/oggenc/audio.c	2005-06-13 15:11:44.000000000 +0200
+++ vorbis-tools-1.1.1.lt/oggenc/audio.c	2006-02-19 14:31:34.000000000 +0100
@@ -359,7 +359,7 @@
 
 int wav_open(FILE *in, oe_enc_opt *opt, unsigned char *oldbuf, int buflen)
 {
-	unsigned char buf[16];
+	unsigned char buf[41];
 	unsigned int len;
 	int samplesize;
 	wav_fmt format;
@@ -386,22 +386,18 @@
 	 * have a program that's creating format chunks of sizes other than
 	 * 16 or 18 bytes in size, report a bug to the author.
 	 */
-	if(len!=16 && len!=18)
+	if(len!=16 && len!=18 && len!=40)
 		fprintf(stderr, 
 				_("Warning: INVALID format chunk in wav header.\n"
 				" Trying to read anyway (may not work)...\n"));
 
-	if(fread(buf,1,16,in) < 16)
+
+	if(fread(buf,1,len,in) < len)
 	{
 		fprintf(stderr, _("Warning: Unexpected EOF in reading WAV header\n"));
 		return 0;
 	}
 
-	/* Deal with stupid broken apps. Don't use these programs.
-	 */
-	if(len - 16 > 0 && !seek_forward(in, len-16))
-	    return 0;
-
 	format.format =      READ_U16_LE(buf); 
 	format.channels =    READ_U16_LE(buf+2); 
 	format.samplerate =  READ_U32_LE(buf+4);
@@ -409,6 +405,18 @@
 	format.align =       READ_U16_LE(buf+12);
 	format.samplesize =  READ_U16_LE(buf+14);
 
+
+	if (18 <= len)
+	{
+		format.cbSize = READ_U16_LE(buf+16);
+
+		if (22 == format.cbSize)
+		{
+			format.sample.validBitsPerSample = READ_U16_LE(buf+18);
+			format.channelMask               = READ_U32_LE(buf+20);
+		}
+	}
+
 	if(!find_wav_chunk(in, "data", &len))
 		return 0; /* EOF */
 
@@ -422,6 +430,11 @@
 		samplesize = 4;
 		opt->read_samples = wav_ieee_read;
 	}
+	else if(~format.format == 1)
+	{
+		samplesize =  format.samplesize/8;
+		opt->read_samples = wav_read;
+	}
 	else
 	{
 		fprintf(stderr, 
@@ -451,8 +464,8 @@
 		wav->samplesize = format.samplesize;
 
 		if(len)
-        {
-			opt->total_samples_per_channel = len/(format.channels*samplesize);
+		{
+			opt->total_samples_per_channel = len/format.align;
 		}
 		else
 		{
@@ -465,7 +478,7 @@
 			else
 			{
 				opt->total_samples_per_channel = (ftell(in) - pos)/
-                    (format.channels*samplesize);
+				    format.align;
 				fseek(in,pos, SEEK_SET);
 			}
 		}
diff -ur vorbis-tools-1.1.1/oggenc/audio.h vorbis-tools-1.1.1.lt/oggenc/audio.h
--- vorbis-tools-1.1.1/oggenc/audio.h	2005-06-03 12:15:10.000000000 +0200
+++ vorbis-tools-1.1.1.lt/oggenc/audio.h	2006-02-19 13:27:55.000000000 +0100
@@ -5,6 +5,26 @@
 #include "encode.h"
 #include <stdio.h>
 
+#define	FRONT_LEFT		0x00000001
+#define	FRONT_RIGHT		0x00000002
+#define	FRONT_CENTER		0x00000004
+#define	FRONT_LOW_FREQ		0x00000008
+#define	BACK_LEFT		0x00000010
+#define	BACK_RIGHT		0x00000020
+#define	FRONT_LEFT_CENTER	0x00000040
+#define	FRONT_RIGHT_CENTER	0x00000080
+#define	BACK_CENTER		0x00000100
+#define	SIDE_LEFT		0x00000200
+#define	SIDE_RIGHT		0x00000400
+#define	TOP_CENTER		0x00000800
+#define	TOP_FRONT_LEFT		0x00001000
+#define	TOP_FRONT_CENTER	0x00002000
+#define	TOP_FRONT_RIGHT		0x00004000
+#define	TOP_BACK_LEFT		0x00008000
+#define	TOP_BACK_CENTER		0x00010000
+#define	TOP_BACK_RIGHT		0x00020000
+
+
 int setup_resample(oe_enc_opt *opt);
 void clear_resample(oe_enc_opt *opt);
 void setup_downmix(oe_enc_opt *opt);
@@ -30,6 +50,16 @@
 	int bytespersec;
 	short align;
 	short samplesize;
+
+	short cbSize;	/* how many more bytes to read till "data" ? */
+
+	union {
+		short validBitsPerSample;
+		short samplesPerBlock;	/* only used when samplesize == 0 */
+		short reserved;		/* when bytes are unused */
+	} sample;
+	int channelMask;			/* which speakers are in this file */
+	
 } wav_fmt;
 
 typedef struct {
